function doClick(e) {
	alert($.label.text);
}

$.index.open();

if(Ti.Platform.osname == 'iphone') {
  var deviceToken = null;

  Ti.App.iOS.addEventListener('usernotificationsettings', function registerForPush() {

      Ti.App.iOS.removeEventListener('usernotificationsettings', registerForPush);

      Ti.Network.registerForPushNotifications({
          success: deviceTokenSuccess,
          error: deviceTokenError,
          callback: receivePush
      });
      
  });

  Ti.App.iOS.registerUserNotificationSettings({
      types: [
          Ti.App.iOS.USER_NOTIFICATION_TYPE_ALERT,
          Ti.App.iOS.USER_NOTIFICATION_TYPE_SOUND,
          Ti.App.iOS.USER_NOTIFICATION_TYPE_BADGE
      ]
  });

  function receivePush(e) {
      alert('Received push: ' + JSON.stringify(e));
  }
  function deviceTokenSuccess(e) {
      deviceToken = e.deviceToken;
      subscribeToChannel(deviceToken);
  }

  function deviceTokenError(e) {
      alert('Failed to register for push notifications! ' + e.error);
  }
}

function subscribeToChannel (deviceToken) {

  Ti.API.log('Subscribe: '+deviceToken);

  var Cloud = require("ti.cloud");
    // Subscribes the device to the 'news_alerts' channel
    // Specify the push type as either 'android' for Android or 'ios' for iOS
    Cloud.PushNotifications.subscribeToken({
        device_token: deviceToken,
        channel: 'channel_1',
        type: Ti.Platform.name === 'android' ? 'android' : 'ios'
    }, function (e) {
        if (e.success) {

        } else {
            alert('Error:\n' + ((e.error && e.message) || JSON.stringify(e)));
        }
    });
}
